spring:
  application:
    name: legalconsenthub

  datasource:
    auto-commit: false
    url: ${LEGALCONSENTHUB_DB_URL}
    username: ${LEGALCONSENTHUB_DB_APP_USER}
    password: ${LEGALCONSENTHUB_DB_PASSWORD}

  jpa:
    show-sql: true
    hibernate:
      ddl-auto: create
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    properties:
      hibernate:
        format_sql: true
        jdbc:
          batch_size: 100
          order_inserts: true
          enable_lazy_load_no_trans: true

  liquibase:
    enabled: true
    drop-first: false
    change-log: classpath:/db/changelog/db.changelog-master.yaml
    default-schema: public

  sql:
    init:
      platform: h2

  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: ${SPRING_SECURITY_OAUTH2_RESOURCESERVER_JWT_ISSUER_URI:http://localhost:7080}
          jwk-set-uri: ${SPRING_SECURITY_OAUTH2_RESOURCESERVER_JWT_JWK_SET_URI:http://localhost:7080}
